Bug 98417 - FIND & REPLACE: Add 'Find Previous' button
Summary: FIND & REPLACE: Add 'Find Previous' button
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Akshay Deep
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-04 15:02 UTC by Yousuf Philips (jay)
Modified: 2016-10-25 19:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2016-03-04 15:02:58 UTC
In Writer, Calc and Impress, we have a Find Previous button the Find toolbar, but none in the Find & Replace dialog. Instead a user has to open up 'Other Options' and check the 'Backwards' checkbox to be able to find in reverse. So lets add a Find Previous button and remove the 'Backwards' checkbox.
Comment 1 V Stuart Foote 2016-03-09 15:42:31 UTC
This would be helpful, placement of the button in the reworked dialog (bug 98539 with one horizontal row) may be an issue.
Comment 2 Yousuf Philips (jay) 2016-03-09 19:46:54 UTC
@Stuart: Not really an issue as most find & replace dialogs are always wide.

http://www.fgcu.edu/support/office2007/Excel/Images/FindAndReplace.gif

https://discussions.apple.com/___sbsstatic___/migration-images/676/6768175-1.png
Comment 3 Commit Notification 2016-04-04 08:54:10 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=beeef93480fae65840646e4e36aa888efe92579a

tdf#98417, tdf#98539: DIALOG: Improvements to the Find & Replace dialog.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.